net/tigervnc - The NetBSD Packages Collection

High-performance, platform-neutral VNC client/server

TigerVNC is a high-performance, platform-neutral implementation of
VNC (Virtual Network Computing), a client/server application that
allows users to launch and interact with graphical applications on
remote machines. TigerVNC provides the levels of performance
necessary to run 3D and video applications, and it attempts to
maintain a common look and feel and re-use components, where
possible, across the various platforms that it supports. TigerVNC
also provides extensions for advanced authentication methods and
TLS encryption.

Build dependencies

devel/xorg-util-macros fonts/font-util devel/tradcpp pkgtools/x11-links x11/xorgproto x11/xcb-proto x11/xtrans pkgtools/cwrappers devel/libtool-base devel/automake devel/autoconf textproc/intltool devel/cmake devel/gmake devel/pkgconf

Runtime dependencies

x11/mcookie shells/bash lang/perl5 graphics/jpeg graphics/hicolor-icon-theme security/gnutls security/libgcrypt fonts/Xft2 fonts/Xft2 x11/xcursor x11/xcursor x11/libXtst x11/libdrm x11/fltk13 x11/fltk13 x11/liboldXrandr x11/liboldXrandr x11/pixman x11/libXfont2 graphics/jpeg graphics/hicolor-icon-theme security/gnutls security/libgcrypt fonts/Xft2 x11/xcursor x11/fltk13 x11/liboldXrandr

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hftigervnc-1.9.0nb7.tgz
NetBSD 8.0earmv7hftigervnc-1.9.0nb7.tgz
NetBSD 8.0i386tigervnc-1.9.0nb7.tgz
NetBSD 8.0i386tigervnc-1.9.0nb7.tgz
NetBSD 8.0i386tigervnc-1.9.0nb7.tgz
NetBSD 8.0powerpctigervnc-1.9.0nb7.tgz
NetBSD 8.0powerpctigervnc-1.9.0nb7.tgz
NetBSD 8.0powerpctigervnc-1.9.0nb7.tgz
NetBSD 8.0powerpctigervnc-1.9.0nb7.tgz
NetBSD 8.0x86_64tigervnc-1.9.0nb7.tgz
NetBSD 8.0x86_64tigervnc-1.9.0nb7.tgz
NetBSD 8.0x86_64tigervnc-1.9.0nb7.tgz
NetBSD 9.0aarch64tigervnc-1.9.0nb7.tgz
NetBSD 9.0aarch64tigervnc-1.9.0nb7.tgz
NetBSD 9.0aarch64tigervnc-1.9.0nb7.tgz
NetBSD 9.0alphatigervnc-1.9.0nb7.tgz
NetBSD 9.0alphatigervnc-1.9.0nb7.tgz
NetBSD 9.0alphatigervnc-1.9.0nb7.tgz
NetBSD 9.0earmv6hftigervnc-1.9.0nb7.tgz
NetBSD 9.0earmv6hftigervnc-1.9.0nb7.tgz
NetBSD 9.0earmv6hftigervnc-1.9.0nb7.tgz
NetBSD 9.0earmv6hftigervnc-1.9.0nb7.tgz
NetBSD 9.0earmv7hftigervnc-1.9.0nb7.tgz
NetBSD 9.0earmv7hftigervnc-1.9.0nb7.tgz
NetBSD 9.0earmv7hftigervnc-1.9.0nb7.tgz
NetBSD 9.0earmv7hftigervnc-1.9.0nb7.tgz
NetBSD 9.0earmv7hftigervnc-1.9.0nb7.tgz
NetBSD 9.0i386tigervnc-1.9.0nb7.tgz
NetBSD 9.0i386tigervnc-1.9.0nb7.tgz
NetBSD 9.0i386tigervnc-1.9.0nb7.tgz
NetBSD 9.0mips64ebtigervnc-1.9.0nb7.tgz
NetBSD 9.0mips64ebtigervnc-1.9.0nb7.tgz
NetBSD 9.0mips64ebtigervnc-1.9.0nb7.tgz
NetBSD 9.0powerpctigervnc-1.9.0nb7.tgz
NetBSD 9.0powerpctigervnc-1.9.0nb7.tgz
NetBSD 9.0powerpctigervnc-1.9.0nb7.tgz
NetBSD 9.0powerpctigervnc-1.9.0nb7.tgz
NetBSD 9.0sparc64tigervnc-1.9.0nb7.tgz
NetBSD 9.0sparc64tigervnc-1.9.0nb7.tgz
NetBSD 9.0sparc64tigervnc-1.9.0nb7.tgz
NetBSD 9.0sparctigervnc-1.9.0nb7.tgz
NetBSD 9.0x86_64tigervnc-1.9.0nb7.tgz
NetBSD 9.0x86_64tigervnc-1.9.0nb7.tgz
NetBSD 9.0x86_64tigervnc-1.9.0nb7.tgz
NetBSD 9.0x86_64tigervnc-1.9.0nb7.tgz
NetBSD 9.0x86_64tigervnc-1.9.0nb7.tgz
NetBSD 9.0x86_64tigervnc-1.9.0nb7.tgz
NetBSD 9.0x86_64tigervnc-1.9.0nb7.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.